
log using "$folder/log/maps", replace


*********************** Map of breastfeeding rate ******************************

import excel "$folder/src/bf_rate.xlsx", firstrow clear

*** merge with map coordinates
merge 1:m CNTRY_NAME using "$mapdata"

*** drop Antartica and others
drop if _ID==232

*** format var to have no decimal point
format bf_12m %12.0f

*** graph
spmap bf_12m using "$mapcoor", id(_ID) fcolor("79 93 115" "120 94 240" "175 141 156" "100 143 255" "28 195 232") clnumber(5) ndfcolor(white) legend(size(large) position(6) rows(1) ring(1) region(lcolor(none)))
graph di ,ysize(4) xsize(8)
graph export "$folder/out/bf_rate.tif", as(tif) width(2000) replace


*********************** Map of legal status in 2018 ****************************

import excel "$folder/src/code_status.xlsx", firstrow clear

gen CNTRY_NAME = country
merge 1:m CNTRY_NAME using "$mapdata"

*** drop Antartica
drop if _ID==232

*** graph
spmap status_code using "$mapcoor", id(_ID) fcolor("79 93 115" "120 94 240" "100 143 255" "28 195 232") ///
	ndfcolor(white) clmethod(unique) legend(order(1 "No data"  2 "No legal measures"  3 "Few legal provisions" 4 "Many legal provisions" 5 "Full legal provisions") size(medlarge) position(6) rows(1) ring(1) region(lcolor(none)))
graph di ,ysize(4) xsize(8)
graph export "$folder/out/code_status.tif", as(tif) width(2000) replace


log close





